Package org.eclipse.graphiti.tb

# Class ConnectionSelectionInfoImpl

java.lang.Object
org.eclipse.graphiti.tb.SelectionInfoImpl
org.eclipse.graphiti.tb.ConnectionSelectionInfoImpl

All Implemented Interfaces:
  `IConnectionSelectionInfo`, `ISelectionInfo`

public class ConnectionSelectionInfoImpl extends SelectionInfoImpl implements IConnectionSelectionInfo

Since:
  0.10

## Constructor Summary

Constructors
Constructor
Description
`ConnectionSelectionInfoImpl()`

## Method Summary

Modifier and Type
Method
Description
`IColorConstant`
`getPrimarySelectionBendpointBackgroundColor()`
Gets the primary selection background color for the bendpoint.
`IColorConstant`
`getPrimarySelectionBendpointForegroundColor()`
Gets the primary selection foreground color for the bendpoint.
`IColorConstant`
`getSecondarySelectionBendpointBackgroundColor()`
Gets the secondary selection background color for the bendpoint.
`IColorConstant`
`getSecondarySelectionBendpointForegroundColor()`
Gets the secondary selection foreground color for the bendpoint.
`void`
`setPrimarySelectionBendpointBackgroundColor(IColorConstant color)`
Sets the primary selection background color for the bendpoint.
`void`
`setPrimarySelectionBendpointForegroundColor(IColorConstant color)`
Sets the primary selection foreground color for the bendpoint.
`void`
`setSecondarySelectionBendpointBackgroundColor(IColorConstant color)`
Sets the secondary selection background color for the bendpoint.
`void`
`setSecondarySelectionBendpointForegroundColor(IColorConstant color)`
Sets the secondary selection foreground color for the bendpoint.

### Methods inherited from class org.eclipse.graphiti.tb.SelectionInfoImpl

`getColor, getHoverColor, getHoverColorParentSelected, getLineStyle, getLineWidth, setColor, setHoverColor, setHoverColorParentSelected, setLineStyle, setLineWidth`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.tb.ISelectionInfo

`getColor, getHoverColor, getHoverColorParentSelected, getLineStyle, getLineWidth, setColor, setHoverColor, setHoverColorParentSelected, setLineStyle, setLineWidth`

## Constructor Details

### ConnectionSelectionInfoImpl

public ConnectionSelectionInfoImpl()

## Method Details

### getPrimarySelectionBendpointForegroundColor

public IColorConstant getPrimarySelectionBendpointForegroundColor()
Description copied from interface: `IConnectionSelectionInfo`
Gets the primary selection foreground color for the bendpoint.

Specified by:
  `getPrimarySelectionBendpointForegroundColor` in interface `IConnectionSelectionInfo`
Returns:
  the foreground color

### getPrimarySelectionBendpointBackgroundColor

public IColorConstant getPrimarySelectionBendpointBackgroundColor()
Description copied from interface: `IConnectionSelectionInfo`
Gets the primary selection background color for the bendpoint.

Specified by:
  `getPrimarySelectionBendpointBackgroundColor` in interface `IConnectionSelectionInfo`
Returns:
  the background color

### getSecondarySelectionBendpointForegroundColor

public IColorConstant getSecondarySelectionBendpointForegroundColor()
Description copied from interface: `IConnectionSelectionInfo`
Gets the secondary selection foreground color for the bendpoint.

Specified by:
  `getSecondarySelectionBendpointForegroundColor` in interface `IConnectionSelectionInfo`
Returns:
  the foreground color

### getSecondarySelectionBendpointBackgroundColor

public IColorConstant getSecondarySelectionBendpointBackgroundColor()
Description copied from interface: `IConnectionSelectionInfo`
Gets the secondary selection background color for the bendpoint.

Specified by:
  `getSecondarySelectionBendpointBackgroundColor` in interface `IConnectionSelectionInfo`
Returns:
  the background color

### setPrimarySelectionBendpointForegroundColor

public void setPrimarySelectionBendpointForegroundColor(IColorConstant color)
Description copied from interface: `IConnectionSelectionInfo`
Sets the primary selection foreground color for the bendpoint.

Specified by:
  `setPrimarySelectionBendpointForegroundColor` in interface `IConnectionSelectionInfo`
Parameters:
  `color` - the color

### setPrimarySelectionBendpointBackgroundColor

public void setPrimarySelectionBendpointBackgroundColor(IColorConstant color)
Description copied from interface: `IConnectionSelectionInfo`
Sets the primary selection background color for the bendpoint.

Specified by:
  `setPrimarySelectionBendpointBackgroundColor` in interface `IConnectionSelectionInfo`
Parameters:
  `color` - the color

### setSecondarySelectionBendpointForegroundColor

public void setSecondarySelectionBendpointForegroundColor(IColorConstant color)
Description copied from interface: `IConnectionSelectionInfo`
Sets the secondary selection foreground color for the bendpoint.

Specified by:
  `setSecondarySelectionBendpointForegroundColor` in interface `IConnectionSelectionInfo`
Parameters:
  `color` - the color

### setSecondarySelectionBendpointBackgroundColor

public void setSecondarySelectionBendpointBackgroundColor(IColorConstant color)
Description copied from interface: `IConnectionSelectionInfo`
Sets the secondary selection background color for the bendpoint.

Specified by:
  `setSecondarySelectionBendpointBackgroundColor` in interface `IConnectionSelectionInfo`
Parameters:
  `color` - the color